CHPASSWD(8)

NAME
chpasswd - aktualisiert Passwörter im Stapel-Modus

ÜBERSICHT

chpasswd [options]

BESCHREIBUNG

The chpasswd command reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

user_name:password

By default the passwords must be supplied in clear-text, and are encrypted by chpasswd. Also the password age will be updated, if present.

By default, passwords are encrypted by PAM, but (even if not recommended) you can select a different encryption method with the -e, -m, or -c options.

Except when PAM is used to encrypt the passwords, chpasswd first updates all the passwords in memory, and then commits all the changes to disk if no errors occurred for any user.

When PAM is used to encrypt the passwords (and update the passwords in the system database) then if a password cannot be updated chpasswd continues updating the passwords of the next users, and will return an error code on exit.

Dieser Befehl ist für weitreichende Systeme gedacht, bei denenviele Passwörter gleichzeitig aktualisiert werden müssen.

OPTIONEN

The options which apply to the chpasswd command are:

-c, --crypt-method METHOD
    definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind, sofern Ihre libc diese bereitstellt, DES, MD5, NONE und SHA256 oder SHA512.

    Standardmäßig verschlüsselt PAM die Passwörter.

-e, --encrypted
    Passwörter werden verschlüsselt geliefert.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-m, --md5
    Zur Verschlüsselung MD5 anstelle von DES verwenden, wenn die Passwörter unverschlüsselt geliefert werden.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds ROUNDS
    legt die Anzahl von Runden beim Verschlüsseln von Passwörtern fest.

    Ein Wert von 0 bedeutet, dass das System den Standard von 5000 Runden zur Verschlüsselung auswählen wird.

    Der Mindestwert ist 1000, der Höchstwert 999.999.999.

    Sie können diese Option nur mit den Verschlüsselungsmethoden SHA256 und SHA512 verwenden.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

WARNUNGEN

Achten Sie darauf, dass die Zugriffsrechte der unverschlüsselten Datei beziehungsweise UMASK ausschließen, dass andere Benutzer sie lesen können.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    geschützte Informationen zu den Benutzerkonten

/etc/login.defs
    konfiguriert die Shadow-Hilfsprogramme.

/etc/pam.d/chpasswd
    PAM configuration for chpasswd.

SIEHE AUCH

passwd(1), newusers(8), login.defs(5), useradd(8).